## RygelDTCPCleartextResponse

RygelDTCPCleartextResponse

## Functions

RygelDTCPCleartextResponse * | rygel_dtcp_cleartext_response_new ()
RygelDTCPCleartextResponse * | rygel_dtcp_cleartext_response_new_from_request ()
gint64 | rygel_dtcp_cleartext_response_get_start_byte ()
gint64 | rygel_dtcp_cleartext_response_get_end_byte ()
gint64 | rygel_dtcp_cleartext_response_get_range_length ()
gint64 | rygel_dtcp_cleartext_response_get_total_size ()
gint64 | rygel_dtcp_cleartext_response_get_encrypted_length ()
void | rygel_dtcp_cleartext_response_set_encrypted_length ()

## Properties

gint64 | encrypted-length | Read / Write
gint64 | end-byte | Read
gint64 | range-length | Read
gint64 | start-byte | Read
gint64 | total-size | Read

## Types and Values

#define | RYGEL_TYPE_DTCP_CLEARTEXT_RESPONSE
#define | RYGEL_DTCP_CLEARTEXT_RESPONSE_DTCP_CONTENT_RANGE_HEADER
struct | RygelDTCPCleartextResponse
struct | RygelDTCPCleartextResponseClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponseElement
            ╰── RygelDTCPCleartextResponse

## Description

## Functions

### rygel_dtcp_cleartext_response_new ()

    RygelDTCPCleartextResponse *
    rygel_dtcp_cleartext_response_new (gint64 start_byte,
                                       gint64 end_byte,
                                       gint64 total_size,
                                       gint64 encrypted_length);

#### Parameters

start_byte |  |
end_byte |  |
total_size |  |
encrypted_length |  |

### rygel_dtcp_cleartext_response_new_from_request ()

    RygelDTCPCleartextResponse *
    rygel_dtcp_cleartext_response_new_from_request
                                   (RygelDTCPCleartextRequest *request,
                                    gint64 encrypted_length);

#### Parameters

request |  |
encrypted_length |  |

### rygel_dtcp_cleartext_response_get_start_byte ()

    gint64
    rygel_dtcp_cleartext_response_get_start_byte
                                   (RygelDTCPCleartextResponse *self);

Get and return the current value of the "start-byte" property.

The start of the response range in bytes

#### Parameters

self | the RygelDTCPCleartextResponse instance to query |

#### Returns

the value of the "start-byte" property

### rygel_dtcp_cleartext_response_get_end_byte ()

    gint64
    rygel_dtcp_cleartext_response_get_end_byte
                                   (RygelDTCPCleartextResponse *self);

Get and return the current value of the "end-byte" property.

The end of the range in bytes (inclusive)

#### Parameters

self | the RygelDTCPCleartextResponse instance to query |

#### Returns

the value of the "end-byte" property

### rygel_dtcp_cleartext_response_get_range_length ()

    gint64
    rygel_dtcp_cleartext_response_get_range_length
                                   (RygelDTCPCleartextResponse *self);

Get and return the current value of the "range-length" property.

The length of the range in bytes

#### Parameters

self | the RygelDTCPCleartextResponse instance to query |

#### Returns

the value of the "range-length" property

### rygel_dtcp_cleartext_response_get_total_size ()

    gint64
    rygel_dtcp_cleartext_response_get_total_size
                                   (RygelDTCPCleartextResponse *self);

Get and return the current value of the "total-size" property.

The length of the resource in bytes. May be HTTPSeekRequest.UNSPECIFIED

#### Parameters

self | the RygelDTCPCleartextResponse instance to query |

#### Returns

the value of the "total-size" property

### rygel_dtcp_cleartext_response_get_encrypted_length ()

    gint64
    rygel_dtcp_cleartext_response_get_encrypted_length
                                   (RygelDTCPCleartextResponse *self);

Get and return the current value of the "encrypted-length" property.

The encrypted length of the response

#### Parameters

self | the RygelDTCPCleartextResponse instance to query |

#### Returns

the value of the "encrypted-length" property

### rygel_dtcp_cleartext_response_set_encrypted_length ()

    void
    rygel_dtcp_cleartext_response_set_encrypted_length
                                   (RygelDTCPCleartextResponse *self,
                                    gint64 value);

Set the value of the "encrypted-length" property to `value` .

The encrypted length of the response

#### Parameters

self | the RygelDTCPCleartextResponse instance to modify |
value | the new value of the "encrypted-length" property |

## Types and Values

### RYGEL_TYPE_DTCP_CLEARTEXT_RESPONSE

    #define RYGEL_TYPE_DTCP_CLEARTEXT_RESPONSE (rygel_dtcp_cleartext_response_get_type ())

The type for RygelDTCPCleartextResponse.

### RYGEL_DTCP_CLEARTEXT_RESPONSE_DTCP_CONTENT_RANGE_HEADER

    #define RYGEL_DTCP_CLEARTEXT_RESPONSE_DTCP_CONTENT_RANGE_HEADER "Content-Range.dtcp.com"

### struct RygelDTCPCleartextResponse

    struct RygelDTCPCleartextResponse;

### struct RygelDTCPCleartextResponseClass

    struct RygelDTCPCleartextResponseClass {
    	RygelHTTPResponseElementClass parent_class;
    };

The class structure for `RYGEL_TYPE_DTCP_CLEARTEXT_RESPONSE`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“encrypted-length”` property

      “encrypted-length”         gint64

The encrypted length of the response

Flags: Read / Write

Default value: 0

### The `“end-byte”` property

      “end-byte”                 gint64

The end of the range in bytes (inclusive)

Flags: Read

Default value: 0

### The `“range-length”` property

      “range-length”             gint64

The length of the range in bytes

Flags: Read

Default value: 0

### The `“start-byte”` property

      “start-byte”               gint64

The start of the response range in bytes

Flags: Read

Default value: 0

### The `“total-size”` property

      “total-size”               gint64

The length of the resource in bytes. May be HTTPSeekRequest.UNSPECIFIED

Flags: Read

Default value: 0